Package org.zkoss.stateless.sul

## Class IPanel.Updater

- java.lang.Object
- - org.zkoss.stateless.sul.IPanel.Updater

- All Implemented Interfaces:
    `SmartUpdater`
  Enclosing interface:
    IPanel

      public static class IPanel.Updater
      extends java.lang.Object

  Builds an updater of type `IPanel` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.

  `Updater` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

  See Also:
    `SmartUpdater`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Updater()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IPanel.Updater` | `border​(java.lang.String border)` | Sets the given value of `border` to update to client widget
    `IPanel.Updater` | `clientAction​(java.lang.String clientAction)` | Sets the given value of `clientAction` to update to client widget
    `IPanel.Updater` | `closable​(boolean closable)` | Sets the given value of `closable` to update to client widget
    `IPanel.Updater` | `collapsible​(boolean collapsible)` | Sets the given value of `collapsible` to update to client widget
    `IPanel.Updater` | `context​(java.lang.String context)` | Sets the given value of `context` to update to client widget
    `IPanel.Updater` | `ctrlKeys​(java.lang.String ctrlKeys)` | Sets the given value of `ctrlKeys` to update to client widget
    `IPanel.Updater` | `draggable​(java.lang.String draggable)` | Sets the given value of `draggable` to update to client widget
    `IPanel.Updater` | `droppable​(java.lang.String droppable)` | Sets the given value of `droppable` to update to client widget
    `IPanel.Updater` | `floatable​(boolean floatable)` | Sets the given value of `floatable` to update to client widget
    `IPanel.Updater` | `focus​(boolean focus)` | Sets the given value of `focus` to update to client widget
    `IPanel.Updater` | `height​(java.lang.String height)` | Sets the given value of `height` to update to client widget
    `IPanel.Updater` | `hflex​(java.lang.String hflex)` | Sets the given value of `hflex` to update to client widget
    `IPanel.Updater` | `id​(java.lang.String id)` | Sets the given value of `id` to update to client widget
    `IPanel.Updater` | `left​(java.lang.String left)` | Sets the given value of `left` to update to client widget
    `java.util.Map<java.lang.String,​java.lang.Object>` | `marshal()` | Serializes the keys and values of the updater.
    `IPanel.Updater` | `maximizable​(boolean maximizable)` | Sets the given value of `maximizable` to update to client widget
    `IPanel.Updater` | `maximized​(boolean maximized)` | Sets the given value of `maximized` to update to client widget
    `IPanel.Updater` | `minheight​(int minheight)` | Sets the given value of `minheight` to update to client widget
    `IPanel.Updater` | `minimizable​(boolean minimizable)` | Sets the given value of `minimizable` to update to client widget
    `IPanel.Updater` | `minimized​(boolean minimized)` | Sets the given value of `minimized` to update to client widget
    `IPanel.Updater` | `minwidth​(int minwidth)` | Sets the given value of `minwidth` to update to client widget
    `IPanel.Updater` | `mold​(java.lang.String mold)` | Sets the given value of `mold` to update to client widget
    `IPanel.Updater` | `movable​(boolean movable)` | Sets the given value of `movable` to update to client widget
    `IPanel.Updater` | `nativeScrollbar​(boolean nativeScrollbar)` | Sets the given value of `nativeScrollbar` to update to client widget
    `IPanel.Updater` | `open​(boolean open)` | Sets the given value of `open` to update to client widget
    `IPanel.Updater` | `popup​(java.lang.String popup)` | Sets the given value of `popup` to update to client widget
    `IPanel.Updater` | `renderdefer​(int renderdefer)` | Sets the given value of `renderdefer` to update to client widget
    `IPanel.Updater` | `sclass​(java.lang.String sclass)` | Sets the given value of `sclass` to update to client widget
    `IPanel.Updater` | `sizable​(boolean sizable)` | Sets the given value of `sizable` to update to client widget
    `IPanel.Updater` | `style​(java.lang.String style)` | Sets the given value of `style` to update to client widget
    `IPanel.Updater` | `tabindex​(java.lang.Integer tabindex)` | Sets the given value of `tabindex` to update to client widget
    `IPanel.Updater` | `title​(java.lang.String title)` | Sets the given value of `title` to update to client widget
    `IPanel.Updater` | `tooltip​(java.lang.String tooltip)` | Sets the given value of `tooltip` to update to client widget
    `IPanel.Updater` | `tooltiptext​(java.lang.String tooltiptext)` | Sets the given value of `tooltiptext` to update to client widget
    `IPanel.Updater` | `top​(java.lang.String top)` | Sets the given value of `top` to update to client widget
    `IPanel.Updater` | `vflex​(java.lang.String vflex)` | Sets the given value of `vflex` to update to client widget
    `IPanel.Updater` | `visible​(boolean visible)` | Sets the given value of `visible` to update to client widget
    `IPanel.Updater` | `widgetClass​(java.lang.String widgetClass)` | Sets the given value of `widgetClass` to update to client widget
    `IPanel.Updater` | `width​(java.lang.String width)` | Sets the given value of `width` to update to client widget
    `IPanel.Updater` | `zclass​(java.lang.String zclass)` | Sets the given value of `zclass` to update to client widget
    `IPanel.Updater` | `zIndex​(int zIndex)` | Sets the given value of `zIndex` to update to client widget

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Updater

          public Updater()

  - ### Method Detail

    - #### id

          public IPanel.Updater id​(java.lang.String id)

      Sets the given value of `id` to update to client widget
      Parameters:
        `id` - The new value for `id`
      See Also:
        `IComponent.withId(java.lang.String)`

    - #### visible

          public IPanel.Updater visible​(boolean visible)

      Sets the given value of `visible` to update to client widget
      Parameters:
        `visible` - The new value for `visible`
      See Also:
        `IComponent.withVisible(boolean)`

    - #### mold

          public IPanel.Updater mold​(java.lang.String mold)

      Sets the given value of `mold` to update to client widget
      Parameters:
        `mold` - The new value for `mold`
      See Also:
        `IComponent.withMold(java.lang.String)`

    - #### left

          public IPanel.Updater left​(java.lang.String left)

      Sets the given value of `left` to update to client widget
      Parameters:
        `left` - The new value for `left`
      See Also:
        `IHtmlBasedComponent.withLeft(java.lang.String)`

    - #### top

          public IPanel.Updater top​(java.lang.String top)

      Sets the given value of `top` to update to client widget
      Parameters:
        `top` - The new value for `top`
      See Also:
        `IHtmlBasedComponent.withTop(java.lang.String)`

    - #### zIndex

          public IPanel.Updater zIndex​(int zIndex)

      Sets the given value of `zIndex` to update to client widget
      Parameters:
        `zIndex` - The new value for `zIndex`
      See Also:
        `IHtmlBasedComponent.withZIndex(int)`

    - #### height

          public IPanel.Updater height​(java.lang.String height)

      Sets the given value of `height` to update to client widget
      Parameters:
        `height` - The new value for `height`
      See Also:
        `IHtmlBasedComponent.withHeight(java.lang.String)`

    - #### width

          public IPanel.Updater width​(java.lang.String width)

      Sets the given value of `width` to update to client widget
      Parameters:
        `width` - The new value for `width`
      See Also:
        `IHtmlBasedComponent.withWidth(java.lang.String)`

    - #### tooltiptext

          public IPanel.Updater tooltiptext​(java.lang.String tooltiptext)

      Sets the given value of `tooltiptext` to update to client widget
      Parameters:
        `tooltiptext` - The new value for `tooltiptext`
      See Also:
        `IHtmlBasedComponent.withTooltiptext(java.lang.String)`

    - #### zclass

          public IPanel.Updater zclass​(java.lang.String zclass)

      Sets the given value of `zclass` to update to client widget
      Parameters:
        `zclass` - The new value for `zclass`
      See Also:
        `IHtmlBasedComponent.withZclass(java.lang.String)`

    - #### sclass

          public IPanel.Updater sclass​(java.lang.String sclass)

      Sets the given value of `sclass` to update to client widget
      Parameters:
        `sclass` - The new value for `sclass`
      See Also:
        `IHtmlBasedComponent.withSclass(java.lang.String)`

    - #### style

          public IPanel.Updater style​(java.lang.String style)

      Sets the given value of `style` to update to client widget
      Parameters:
        `style` - The new value for `style`
      See Also:
        `IHtmlBasedComponent.withStyle(java.lang.String)`

    - #### draggable

          public IPanel.Updater draggable​(java.lang.String draggable)

      Sets the given value of `draggable` to update to client widget
      Parameters:
        `draggable` - The new value for `draggable`
      See Also:
        `IHtmlBasedComponent.withDraggable(java.lang.String)`

    - #### focus

          public IPanel.Updater focus​(boolean focus)

      Sets the given value of `focus` to update to client widget
      Parameters:
        `focus` - The new value for `focus`
      See Also:
        `IHtmlBasedComponent.withFocus(boolean)`

    - #### droppable

          public IPanel.Updater droppable​(java.lang.String droppable)

      Sets the given value of `droppable` to update to client widget
      Parameters:
        `droppable` - The new value for `droppable`
      See Also:
        `IHtmlBasedComponent.withDroppable(java.lang.String)`

    - #### vflex

          public IPanel.Updater vflex​(java.lang.String vflex)

      Sets the given value of `vflex` to update to client widget
      Parameters:
        `vflex` - The new value for `vflex`
      See Also:
        `IHtmlBasedComponent.withVflex(java.lang.String)`

    - #### hflex

          public IPanel.Updater hflex​(java.lang.String hflex)

      Sets the given value of `hflex` to update to client widget
      Parameters:
        `hflex` - The new value for `hflex`
      See Also:
        `IHtmlBasedComponent.withHflex(java.lang.String)`

    - #### renderdefer

          public IPanel.Updater renderdefer​(int renderdefer)

      Sets the given value of `renderdefer` to update to client widget
      Parameters:
        `renderdefer` - The new value for `renderdefer`
      See Also:
        `IHtmlBasedComponent.withRenderdefer(int)`

    - #### clientAction

          public IPanel.Updater clientAction​(java.lang.String clientAction)

      Sets the given value of `clientAction` to update to client widget
      Parameters:
        `clientAction` - The new value for `clientAction`
      See Also:
        `IHtmlBasedComponent.withClientAction(java.lang.String)`

    - #### tabindex

          public IPanel.Updater tabindex​(java.lang.Integer tabindex)

      Sets the given value of `tabindex` to update to client widget
      Parameters:
        `tabindex` - The new value for `tabindex`
      See Also:
        `IHtmlBasedComponent.withTabindex(java.lang.Integer)`

    - #### ctrlKeys

          public IPanel.Updater ctrlKeys​(java.lang.String ctrlKeys)

      Sets the given value of `ctrlKeys` to update to client widget
      Parameters:
        `ctrlKeys` - The new value for `ctrlKeys`
      See Also:
        `IXulElement.withCtrlKeys(java.lang.String)`

    - #### context

          public IPanel.Updater context​(java.lang.String context)

      Sets the given value of `context` to update to client widget
      Parameters:
        `context` - The new value for `context`
      See Also:
        `IXulElement.withContext(java.lang.String)`

    - #### popup

          public IPanel.Updater popup​(java.lang.String popup)

      Sets the given value of `popup` to update to client widget
      Parameters:
        `popup` - The new value for `popup`
      See Also:
        `IXulElement.withPopup(java.lang.String)`

    - #### tooltip

          public IPanel.Updater tooltip​(java.lang.String tooltip)

      Sets the given value of `tooltip` to update to client widget
      Parameters:
        `tooltip` - The new value for `tooltip`
      See Also:
        `IXulElement.withTooltip(java.lang.String)`

    - #### widgetClass

          public IPanel.Updater widgetClass​(java.lang.String widgetClass)

      Sets the given value of `widgetClass` to update to client widget
      Parameters:
        `widgetClass` - The new value for `widgetClass`
      See Also:
        `IComponent.withWidgetClass(java.lang.String)`

    - #### title

          public IPanel.Updater title​(java.lang.String title)

      Sets the given value of `title` to update to client widget
      Parameters:
        `title` - The new value for `title`
      See Also:
        `IPanel.withTitle(java.lang.String)`

    - #### closable

          public IPanel.Updater closable​(boolean closable)

      Sets the given value of `closable` to update to client widget
      Parameters:
        `closable` - The new value for `closable`
      See Also:
        `IPanel.withClosable(boolean)`

    - #### floatable

          public IPanel.Updater floatable​(boolean floatable)

      Sets the given value of `floatable` to update to client widget
      Parameters:
        `floatable` - The new value for `floatable`
      See Also:
        `IPanel.withFloatable(boolean)`

    - #### collapsible

          public IPanel.Updater collapsible​(boolean collapsible)

      Sets the given value of `collapsible` to update to client widget
      Parameters:
        `collapsible` - The new value for `collapsible`
      See Also:
        `IPanel.withCollapsible(boolean)`

    - #### movable

          public IPanel.Updater movable​(boolean movable)

      Sets the given value of `movable` to update to client widget
      Parameters:
        `movable` - The new value for `movable`
      See Also:
        `IPanel.withMovable(boolean)`

    - #### maximizable

          public IPanel.Updater maximizable​(boolean maximizable)

      Sets the given value of `maximizable` to update to client widget
      Parameters:
        `maximizable` - The new value for `maximizable`
      See Also:
        `IPanel.withMaximizable(boolean)`

    - #### minimizable

          public IPanel.Updater minimizable​(boolean minimizable)

      Sets the given value of `minimizable` to update to client widget
      Parameters:
        `minimizable` - The new value for `minimizable`
      See Also:
        `IPanel.withMinimizable(boolean)`

    - #### maximized

          public IPanel.Updater maximized​(boolean maximized)

      Sets the given value of `maximized` to update to client widget
      Parameters:
        `maximized` - The new value for `maximized`
      See Also:
        `IPanel.withMaximized(boolean)`

    - #### minimized

          public IPanel.Updater minimized​(boolean minimized)

      Sets the given value of `minimized` to update to client widget
      Parameters:
        `minimized` - The new value for `minimized`
      See Also:
        `IPanel.withMinimized(boolean)`

    - #### sizable

          public IPanel.Updater sizable​(boolean sizable)

      Sets the given value of `sizable` to update to client widget
      Parameters:
        `sizable` - The new value for `sizable`
      See Also:
        `IPanel.withSizable(boolean)`

    - #### minheight

          public IPanel.Updater minheight​(int minheight)

      Sets the given value of `minheight` to update to client widget
      Parameters:
        `minheight` - The new value for `minheight`
      See Also:
        `IPanel.withMinheight(int)`

    - #### minwidth

          public IPanel.Updater minwidth​(int minwidth)

      Sets the given value of `minwidth` to update to client widget
      Parameters:
        `minwidth` - The new value for `minwidth`
      See Also:
        `IPanel.withMinwidth(int)`

    - #### open

          public IPanel.Updater open​(boolean open)

      Sets the given value of `open` to update to client widget
      Parameters:
        `open` - The new value for `open`
      See Also:
        `IPanel.withOpen(boolean)`

    - #### border

          public IPanel.Updater border​(java.lang.String border)

      Sets the given value of `border` to update to client widget
      Parameters:
        `border` - The new value for `border`
      See Also:
        `IPanel.withBorder(java.lang.String)`

    - #### nativeScrollbar

          public IPanel.Updater nativeScrollbar​(boolean nativeScrollbar)

      Sets the given value of `nativeScrollbar` to update to client widget
      Parameters:
        `nativeScrollbar` - The new value for `nativeScrollbar`
      See Also:
        `IPanel.withNativeScrollbar(boolean)`

    - #### marshal

          public java.util.Map<java.lang.String,​java.lang.Object> marshal()

      Description copied from interface: `SmartUpdater`
      Serializes the keys and values of the updater.
      Specified by:
        `marshal` in interface `SmartUpdater`
      Returns:
        A keys and values mapping for `UiAgent.smartUpdate(org.zkoss.stateless.ui.Locator, org.zkoss.stateless.ui.SmartUpdater)`